#include <perms.h>
int _imp_mainep(int _imp_argc, char **_imp_argv) {
  typedef struct Smallrecfm {
    int I;
    float R;
  } Smallrecfm;
  typedef struct Bigrecfm {
    int I;
    float R;
    _imp_string S;
  } Bigrecfm;
  Smallrecfm Smallrec;
  Smallrecfm Smallrec2;
  Bigrecfm Bigrec;
  Smallrecfm *Smallptr;
  Smallrec.I = 123;
  Smallrec.R = 234.56;
  Bigrec.I = 123;
  Bigrec.R = 234.56;
  Bigrec.S = _imp_str_literal("A String");
  Smallptr = &Smallrec2;
  *Smallptr = Smallrec;
  Smallrec = *Smallptr;
  Smallrec = *Smallptr;
  Smallptr = Record(Addr(Bigrec));
  Smallptr = Record(Addr(Smallrec));
  Smallrec2 = *Record(Addr(Bigrec));
  Smallrec2 = *Record(Addr(Bigrec));
  *Smallptr = *Record(Addr(Bigrec));
  *Smallptr = *Record(Addr(Bigrec));
  *Record(Addr(Bigrec)) = Smallrec;
  *Record(Addr(Bigrec)) = Smallrec;
  *Record(Addr(Smallrec)) = Bigrec;
  *Record(Addr(Smallrec)) = Bigrec;
  exit(0);
  return (1);
}
